<?php
/**
 * Revent Divi Child Theme
 * Functions.php
 *
 * ===== NOTES ==================================================================
 * 
 * Unlike style.css, the functions.php of a child theme does not override its 
 * counterpart from the parent. Instead, it is loaded in addition to the parent's 
 * functions.php. (Specifically, it is loaded right before the parent's file.)
 * 
 * In that way, the functions.php of a child theme provides a smart, trouble-free 
 * method of modifying the functionality of a parent theme. 
 * 
 * Discover Divi Child Themes: https://diviawesome.com/divi-child-themes/
 * 
 * =============================================================================== */
 
add_action( 'wp_enqueue_scripts', 'script_enqueue' );
function script_enqueue() {
    wp_enqueue_script( 'custom-script', get_template_directory_uri() . '/script.js', array( 'jquery' ));
}



add_action( 'wp_enqueue_scripts', 'divi_awesome_child_theme', 20 );
function divi_awesome_child_theme() {
    wp_enqueue_style( 'parent-theme', get_template_directory_uri() . '/style.css', array(), et_get_theme_version() );
    wp_dequeue_style( 'divi-style' );
    wp_enqueue_style( 'child-theme', get_stylesheet_uri(), array(), filemtime( get_stylesheet_directory() . '/style.css' ) );
	wp_enqueue_style( 'header-style', get_stylesheet_directory_uri() . '/Styles/header.css', array(), et_get_theme_version());
	wp_enqueue_style( 'footer-style', get_stylesheet_directory_uri() . '/Styles/footer.css', array(), et_get_theme_version());
	wp_enqueue_style( 'home-style', get_stylesheet_directory_uri() . '/Styles/home.css', array(), et_get_theme_version());
	wp_enqueue_style( 'home2-style', get_stylesheet_directory_uri() . '/Styles/home2.css', array(), et_get_theme_version());
	wp_enqueue_style( 'home3-style', get_stylesheet_directory_uri() . '/Styles/home3.css', array(), et_get_theme_version());
	wp_enqueue_style( 'home4-style', get_stylesheet_directory_uri() . '/Styles/home4.css', array(), et_get_theme_version());
	wp_enqueue_style( 'about-style', get_stylesheet_directory_uri() . '/Styles/about.css', array(), et_get_theme_version());
	wp_enqueue_style( 'blog-style', get_stylesheet_directory_uri() . '/Styles/blog.css', array(), et_get_theme_version());
	wp_enqueue_style( 'button-style', get_stylesheet_directory_uri() . '/Styles/button.css', array(), et_get_theme_version());
	wp_enqueue_style( 'career-details-style', get_stylesheet_directory_uri() . '/Styles/career-details.css', array(), et_get_theme_version());
	wp_enqueue_style( 'contact-style', get_stylesheet_directory_uri() . '/Styles/contact.css', array(), et_get_theme_version());
	wp_enqueue_style( 'faqs-style', get_stylesheet_directory_uri() . '/Styles/faqs.css', array(), et_get_theme_version());
	wp_enqueue_style( 'gallery-style', get_stylesheet_directory_uri() . '/Styles/gallery.css', array(), et_get_theme_version());
	wp_enqueue_style( 'history-style', get_stylesheet_directory_uri() . '/Styles/history.css', array(), et_get_theme_version());
	wp_enqueue_style( 'portfolio-style', get_stylesheet_directory_uri() . '/Styles/portfolio.css', array(), et_get_theme_version());
	wp_enqueue_style( 'services-style', get_stylesheet_directory_uri() . '/Styles/services.css', array(), et_get_theme_version());
	wp_enqueue_style( 'responsive-style', get_stylesheet_directory_uri() . '/Styles/responsive.css', array(), et_get_theme_version());
	
 }

